import { AppRouterInstance } from '../app-router-context';
import { NextRouter } from './router';
/**
 * adaptForAppRouterInstance implements the AppRouterInstance with a NextRouter.
 *
 * @param router the NextRouter to adapt
 * @returns an AppRouterInstance
 */
export declare function adaptForAppRouterInstance(router: NextRouter): AppRouterInstance;
/**
 * adaptForSearchParams transforms the ParsedURLQuery into URLSearchParams.
 *
 * @param router the router that contains the query.
 * @returns the search params in the URLSearchParams format
 */
export declare function adaptForSearchParams(router: NextRouter): URLSearchParams;
/**
 * adaptForPathname adapts the `asPath` parameter from the router to a pathname.
 *
 * @param asPath the asPath parameter to transform that comes from the router
 * @returns pathname part of `asPath`
 */
export declare function adaptForPathname(asPath: string): string;
